[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.ExecuteAction

Perform the default action for the control.

## Declaration

Source position: dbextctrls.pp line 58

`public function TDBDateEdit.ExecuteAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action to perform.

## Function result

True if the action is successfully handled.

## Description

ExecuteAction is an overridden Boolean function which implements support for using TBasicAction to perform the default action for the control. ExecuteAction calls the inherited method using the value in AAction. If the action is not handled in the ancestor, DataLink is used (when assigned) to performs its ExecuteAction method with the specified action value. The return value is True if the action is handled by the ancestor or DataLink.

## See also

TBasicAction
TApplication.OnActionExecute |  | Default handler for unhandled Actions.